Delete
curl --request DELETE \
--url https://api-staging.genuka.com/2023-11/admin/treasuryAccounts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "body_html",
"handle": "handle-herzcde",
"metadata": {
"shopifyId": "id"
},
"title": "Title"
}
'import requests
url = "https://api-staging.genuka.com/2023-11/admin/treasuryAccounts/{id}"
payload = {
"content": "body_html",
"handle": "handle-herzcde",
"metadata": { "shopifyId": "id" },
"title": "Title"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'body_html',
handle: 'handle-herzcde',
metadata: {shopifyId: 'id'},
title: 'Title'
})
};
fetch('https://api-staging.genuka.com/2023-11/admin/treasuryAccounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Treasury account deleted."
}Treasury accounts
Delete treasury account
Deletes an existing treasury account from the authenticated company. This endpoint permanently removes the account and its related records. Use with caution, as deleted accounts and their transaction data cannot be recovered.
DELETE
/
2023-11
/
admin
/
treasuryAccounts
/
{id}
Delete
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Path Parameters
Body
application/json
Response
200 - application/json
200
Example:
"Treasury account deleted."
⌘I
